org.eclipse.mat.ui.internal.query.arguments

## Class TextEditor

- java.lang.Object
- - Composite
  - - org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor
    - - org.eclipse.mat.ui.internal.query.arguments.TextEditor

Direct Known Subclasses:
  ImageTextEditor

    public class TextEditor
    extends ArgumentEditor

### Nested Class Summary

Nested Classes
`static class` `TextEditor.DecoratorType`

### Nested classes/interfaces inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`ArgumentEditor.IEditorListener`

### Constructor Summary

Constructors
Constructor and Description
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TextEditor.DecoratorType` `getDecorator()`
`Object` `getValue()`
`boolean` `setFocus()`
`void` `setValue(Object value)`

### Methods inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`addListener, getDescriptor, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextEditor

    public TextEditor(Composite parent,
                      IQueryContext context,
                      ArgumentDescriptor descriptor,
                      TableItem item,
                      TextEditor.DecoratorType decorator)

#### TextEditor

    public TextEditor(Composite parent,
                      IQueryContext context,
                      ArgumentDescriptor descriptor,
                      TableItem item)

### Method Detail

#### setValue

    public void setValue(Object value)
                  throws SnapshotException

Specified by:
  `setValue` in class `ArgumentEditor`
Throws:
  `SnapshotException`

#### getValue

    public Object getValue()

Specified by:
  `getValue` in class `ArgumentEditor`

#### setFocus

    public boolean setFocus()

#### getDecorator

    public TextEditor.DecoratorType getDecorator()